Bug 824159 - RFE: get rid of the "Repair of RAID device vg-lv failed" messages during partial allocation failure scenarios
RFE: get rid of the "Repair of RAID device vg-lv failed" messages during part...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Heinz Mauelshagen
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 16:44 EDT by Corey Marthaler
Modified: 2017-10-02 17:50 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2012-05-22 16:44:19 EDT
Description of problem:
This is for the first issue described in comment #23 of bug 796906.


May 22 14:23:11 taft-01 lvm[3465]: Device #1 of raid6_zr array, black_bird-synced_multiple_raid6_4legs_1, has failed.
May 22 14:23:11 taft-01 lvm[3465]: Couldn't find device with uuid ptNWCc-mJ18-pKQg-Ml4Q-zFoE-mJiO-Az32F7.
May 22 14:23:11 taft-01 lvm[3465]: Couldn't find device with uuid 8y0gAZ-dGMm-Wf5q-WWGj-khMA-TTkz-k8VCdv.
May 22 14:23:11 taft-01 lvm[3465]: Insufficient suitable allocatable extents for logical volume : 33 more required
May 22 14:23:11 taft-01 lvm[3465]: Failed to allocate replacement images for black_bird/synced_multiple_raid6_4legs_1
May 22 14:23:11 taft-01 lvm[3465]: Failed to replace faulty devices in black_bird/synced_multiple_raid6_4legs_1.
May 22 14:23:11 taft-01 lvm[3465]: Repair of RAID device black_bird-synced_multiple_raid6_4legs_1 failed.
May 22 14:23:11 taft-01 lvm[3465]: Failed to process event for black_bird-synced_multiple_raid6_4legs_1
May 22 14:23:11 taft-01 lvm[3465]: Device #1 of raid6_zr array, black_bird-synced_multiple_raid6_4legs_1, has failed.
May 22 14:23:11 taft-01 lvm[3465]: Couldn't find device with uuid ptNWCc-mJ18-pKQg-Ml4Q-zFoE-mJiO-Az32F7.
May 22 14:23:11 taft-01 lvm[3465]: Couldn't find device with uuid 8y0gAZ-dGMm-Wf5q-WWGj-khMA-TTkz-k8VCdv.
May 22 14:23:11 taft-01 lvm[3465]: Insufficient suitable allocatable extents for logical volume : 33 more required
May 22 14:23:11 taft-01 lvm[3465]: Failed to allocate replacement images for black_bird/synced_multiple_raid6_4legs_1
May 22 14:23:11 taft-01 lvm[3465]: Failed to replace faulty devices in black_bird/synced_multiple_raid6_4legs_1.
May 22 14:23:11 taft-01 lvm[3465]: Repair of RAID device black_bird-synced_multiple_raid6_4legs_1 failed.
May 22 14:23:11 taft-01 lvm[3465]: Failed to process event for black_bird-synced_multiple_raid6_4legs_1


Version-Release number of selected component (if applicable):
2.6.32-270.el6.x86_64
lvm2-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-libs-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-cluster-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
cmirror-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
Comment 1 RHEL Product and Program Management 2012-07-10 04:24:42 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:58:28 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Tom Lavigne 2012-09-07 11:24:05 EDT
This request was evaluated by Red Hat Product Management for 
inclusion in the current release of Red Hat Enterprise Linux.
Since we are unable to provide this feature at this time,  
it has been proposed for the next release of 
Red Hat Enterprise Linux.
Comment 4 Jonathan Earl Brassow 2014-08-27 00:01:16 EDT
moving to 6.7

Note You need to log in before you can comment on or make changes to this bug.